apiVersion: v1
kind: Namespace
metadata:
  labels:
    app: hello-world
    environment: staging
  name: world-greetings-env-1-39085604-staging
---
apiVersion: v1
kind: ServiceAccount
metadata:
  labels:
    app: hello-world
    environment: staging
  name: hello-world
  namespace: world-greetings-env-1-39085604-staging
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: hello-world
    environment: staging
  name: hello-world
  namespace: world-greetings-env-1-39085604-staging
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 5000
  selector:
    app: hello-world
    environment: staging
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: hello-world
    environment: staging
  name: hello-world
  namespace: world-greetings-env-1-39085604-staging
spec:
  selector:
    matchLabels:
      app: hello-world
      environment: staging
  template:
    metadata:
      labels:
        app: hello-world
        environment: staging
    spec:
      containers:
      - image: registry.gitlab.com/ttt-h1-999/br2/hello-world/main:1.0.4
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 10
          httpGet:
            path: /
            port: 5000
          initialDelaySeconds: 5
          periodSeconds: 10
          successThreshold: 1
        name: hello-world
        ports:
        - containerPort: 5000
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          privileged: false
          readOnlyRootFilesystem: true
      imagePullSecrets:
      - name: gitlab-credentials
      securityContext: {}
      serviceAccountName: hello-world
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/certificate-name: hello-world-staging-tls
    cert-manager.io/issuer: letsencrypt-prod
    cert-manager.io/issuer-kind: ClusterIssuer
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
  labels:
    app: hello-world
    environment: staging
  name: world-greetings-env-1-39085604-staging
  namespace: world-greetings-env-1-39085604-staging
spec:
  rules:
  - host: world-greetings-env-1-39085604-staging.3.135.76.117.nip.io
    http:
      paths:
      - backend:
          serviceName: hello-world
          servicePort: 80
        path: /
  tls:
  - hosts:
    - world-greetings-env-1-39085604-staging.3.135.76.117.nip.io
    secretName: hello-world-staging-tls
